\documentclass[11pt,a4paper]{article}
\usepackage[margin=30mm,right=30mm,top=30mm]{geometry} % propper boarders, enough space for text

\usepackage[german]{babel} % alternative languages: USenglish, UKenglish, german
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{amsmath}
\usepackage{xcolor}

\usepackage[hidelinks]{hyperref} % hidelinks to disable link highlighting and ugly colored boxes

% citation style numeric-comp shows only numbers intext and uses compact form i.e. [1-3] for [1,2,3],
% backend biber is set, since I am following the documentation of the biblatex package 
  % (https://www.ctan.org/pkg/biblatex,
  % https://ctan.mirrors.hoobly.com/macros/latex/contrib/biblatex/doc/biblatex.pdf)
% to use biber as backend
\usepackage[style=numeric-comp,backend=biber]{biblatex}

% link to the bibliography file
\addbibresource{bibliography.bib}

\usepackage{graphicx}

\providecommand{\tightlist}{%
  \setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}

\begin{document}

\input{title.tex}

\tableofcontents
\pagebreak

\input{uses.tex}
\pagebreak

\section{Literature}
\printbibliography[title=Literature]

\end{document}
